package w83b.w83bManager;


import java.util.ArrayList;
import java.util.List;


import w83b.w83bBeans.W83bArbitrosBean;
import w83b.w83bBeans.W83bUsuarioXLNetsBean;
import w83b.w83bDAO.W83bFactoriaDAO;


public class W83bArbitros implements W83bIArbitros {
	public java.util.List buscarArbitros(w83b.w83bBeans.W83bArbitrosBean param) throws Exception{
		
		//TODO
		List listaRespArea=W83bFactoriaDAO.getMantenimientosDAO().buscarArbitros(param);
		
		return listaRespArea;	
	}
	
	
	public w83b.w83bBeans.W83bArbitrosBean detalleArbitro(w83b.w83bBeans.W83bArbitrosBean param) throws Exception{
		
		//TODO
		w83b.w83bBeans.W83bArbitrosBean responsable = W83bFactoriaDAO.getMantenimientosDAO().detalleArbitro(param);
		
		return responsable;	
	}

	public java.lang.String anyadirArbitro(java.util.HashMap mapa)
			throws Exception {
		//Verificar que no existe ya la clave primaria. 
		w83b.w83bBeans.W83bArbitrosBean param = (W83bArbitrosBean)mapa.get("w83bArbitrosNuevoBean");
		
		boolean existeDni = W83bFactoriaDAO.getMantenimientosDAO().existeDni(param);
		if (existeDni){
			return "-2";
		}		
		
			
		String responsable = W83bFactoriaDAO.getMantenimientosDAO().anyadirArbitro(param); 

		return responsable;
	}
	
	public String modificarArbitro(java.util.HashMap mapa)
	throws Exception {
		
		w83b.w83bBeans.W83bArbitrosBean paramNuevo = (W83bArbitrosBean)mapa.get("w83bArbitrosNuevoBean");
		w83b.w83bBeans.W83bArbitrosBean paramTemp = (W83bArbitrosBean)mapa.get("w83bArbitrosNuevoTempBean");
		
		if(!paramNuevo.getDni().equalsIgnoreCase(paramTemp.getDni())){
			boolean existeDni = W83bFactoriaDAO.getMantenimientosDAO().existeDni(paramNuevo);			
			if (existeDni){
				return "-2";
			}
		}
		
		
		String resultado = W83bFactoriaDAO.getMantenimientosDAO().modificarArbitro(paramTemp, paramNuevo);		
		
		return resultado;
	}
	
	public java.lang.String borrarArbitro(java.util.ArrayList param) 
	throws Exception {
		W83bUsuarioXLNetsBean userBean = (W83bUsuarioXLNetsBean)param.get(param.size()-1);
		param.remove(param.size()-1);
		
		String resultado =  null;
		int i = 0;
		while(i<param.size()){
			
			ArrayList binomioDniProvincia = new ArrayList();//NOPMD
			
			binomioDniProvincia.add(param.get(i));
			
			binomioDniProvincia.add(param.get(i+1));
			
			resultado =  W83bFactoriaDAO.getMantenimientosDAO().borrarArbitro(binomioDniProvincia,userBean);
			
			i = i+2;
		}
		return resultado;
	}

}